<?

include 'connect_sql.php';
include 'membres.php';

if (!$SITE['lib_large']) {
	
		$SITE['lib_large'] = 1;

		function filtrer_large($chaine) {
			
				$chaine = html_entity_decode(stripslashes(strip_tags(trim($chaine))));
				$chaine = eregi_replace("[\"<>]", "",$chaine); 
			
				return $chaine;
		}
		
		function filtrer_nom_partie($chaine) {
			
				$chaine = eregi_replace("[^A-Z0-9éèêëaâäà_iîïuûüùoöô-]", "", $chaine);
				$chaine = filtrer_large($chaine);
			
				return $chaine;
		}
}

if ($_GET['non_recurs'] == '1') {
	
		$recursif = 0;
		
} else $recursif = 1;

if (!$_GET['nom_partie'] && (!$_POST['nom_partie'])) {

	$nom_partie = 'les_coups';

} else {
		
		if ($_GET['nom_partie']) {
			
			$nom_partie = $_GET['nom_partie'];
			
		} else { 			
			
			$nom_partie = $_POST['nom_partie'];
		}
}

$nom_partie = filtrer_nom_partie($nom_partie);

if ($nom_partie == 'les_coups') {
	
		if ($get_nom_partie) {
					
					$nom_partie = $get_nom_partie;
		}
}

include 'timer.php';

$timer_courant = getmtime();

// si le fichier ftimer est inexistant, on en créé un en lui mettant un getmtime

if (!file_exists("parties/timer/".$nom_partie.".txt")) {
		
			$fichier = fopen("parties/timer/".$nom_partie.".txt", 'w');
			
			fwrite ($fichier,"{$timer_courant}");
			fclose ($fichier);
}

if (!file_exists("parties/".$nom_partie.".txt")) {
	
	$fichier = fopen("parties/".$nom_partie.".txt", 'w');
	
	fwrite ($fichier,"");
	fclose ($fichier);	
	
	$dernier_time = time();
	
	requete_sql("UPDATE parties SET dernier_time={$dernier_time}, partie_en_cours=1 WHERE id_partie = {$nom_partie}");
}

if (!$get_ordi) {

		header("location:partie.php?nom_partie={$nom_partie}");   
}

?>